Skip to main content
POST
Return a settled payout

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Headers

Idempotency-Key
string
required

Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.

Path Parameters

id
string<uuid>
required

ID of the payout whose lifecycle is being simulated.

Body

application/json

Payout return simulation parameters

reason
enum<string>
required

Reason the receiving bank returns the settled payout.

Available options:
account_closed,
invalid_account_format,
invalid_routing_number,
account_blocked,
unknown

Response

200 - application/json

The payout return simulation acknowledgement

type
enum<string>
required

Resource type discriminator.

Available options:
payout_simulation
success
boolean
required

Whether the simulation submission was successful.

payout_id
string<uuid>
required

Payout whose lifecycle is being simulated.

event
enum<string>
required

Payout lifecycle event submitted to the sandbox provider.

Available options:
send,
reject,
return